/Users/bernard/b20/bsoft/src/rwimg/rwDSN6.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwimg/rwDSN6.cpp - Functions for reading and writing DSN6 files.

SYNOPSIS

#include 'rwDSN6.h'
#include 'utilities.h'

  Functions
int readDSN6 (Bimage *p, int readdata)
Reading a DSN6 map image file format.
int writeDSN6 (Bimage *p)
Writing a DSN6 map image file format.

  Variables
int verbose

Detailed Description

Functions for reading and writing DSN6 files.

Author:
    Bernard Heymann

Date:
    Created: 20011226

    Modified: 20150130

Definition in file rwDSN6.cpp.

Function Documentation

  int readDSN6 (Bimage * p, int readdata)

Reading a DSN6 map image file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure). A 3D image format used in X-ray crystallography. Header size: 512 bytes File format extensions: .omap, .dsn6, .dn6 Header byte order always big-endian, composed of short's. Byte order determination: Scaling fields must be less than 256. Data type: unsigned char or byte.

Definition at line 27 of file rwDSN6.cpp.

  int writeDSN6 (Bimage * p)

Writing a DSN6 map image file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure). A 3D image format used in X-ray crystallography.

Definition at line 112 of file rwDSN6.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.